org.apache.lucene.index

## Interface IndexableFieldType

All Known Implementing Classes:
  FieldType

    public interface IndexableFieldType

Describes the properties of a field.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Method Summary

Methods
`FieldInfo.DocValuesType` `docValueType()` DocValues `FieldInfo.DocValuesType`: if non-null then the field's value will be indexed into docValues.
`boolean` `indexed()` True if this field should be indexed (inverted)
`FieldInfo.IndexOptions` `indexOptions()` `FieldInfo.IndexOptions`, describing what should be recorded into the inverted index
`boolean` `omitNorms()` True if normalization values should be omitted for the field.
`boolean` `stored()` True if the field's value should be stored
`boolean` `storeTermVectorOffsets()` True if this field's token character offsets should also be stored into term vectors.
`boolean` `storeTermVectorPayloads()` True if this field's token payloads should also be stored into the term vectors.
`boolean` `storeTermVectorPositions()` True if this field's token positions should also be stored into the term vectors.
`boolean` `storeTermVectors()` True if this field's indexed form should be also stored into term vectors.
`boolean` `tokenized()` True if this field's value should be analyzed by the `Analyzer`.

### Method Detail

#### indexed

    boolean indexed()

True if this field should be indexed (inverted)

#### stored

    boolean stored()

True if the field's value should be stored

#### tokenized

    boolean tokenized()

True if this field's value should be analyzed by the `Analyzer`.

This has no effect if `indexed()` returns false.

#### storeTermVectors

    boolean storeTermVectors()

True if this field's indexed form should be also stored into term vectors.

This builds a miniature inverted-index for this field which can be accessed in a document-oriented way from `IndexReader.getTermVector(int,String)`.

This option is illegal if `indexed()` returns false.

#### storeTermVectorOffsets

    boolean storeTermVectorOffsets()

True if this field's token character offsets should also be stored into term vectors.

This option is illegal if term vectors are not enabled for the field (`storeTermVectors()` is false)

#### storeTermVectorPositions

    boolean storeTermVectorPositions()

True if this field's token positions should also be stored into the term vectors.

This option is illegal if term vectors are not enabled for the field (`storeTermVectors()` is false).

#### storeTermVectorPayloads

    boolean storeTermVectorPayloads()

True if this field's token payloads should also be stored into the term vectors.

This option is illegal if term vector positions are not enabled for the field (`storeTermVectors()` is false).

#### omitNorms

    boolean omitNorms()

True if normalization values should be omitted for the field.

This saves memory, but at the expense of scoring quality (length normalization will be disabled), and if you omit norms, you cannot use index-time boosts.

#### indexOptions

    FieldInfo.IndexOptions indexOptions()

`FieldInfo.IndexOptions`, describing what should be recorded into the inverted index

#### docValueType

    FieldInfo.DocValuesType docValueType()

DocValues `FieldInfo.DocValuesType`: if non-null then the field's value will be indexed into docValues.